Delete Feature Assignment
curl --request POST \
--url https://api.telegent.com/v1.0/subscriptions/features/assignments/delete \
--header 'Content-Type: application/json' \
--data '
{
"FeatureAssignmentId": "FAID-00000001-0000-0000-0000-000000000001"
}
'import requests
url = "https://api.telegent.com/v1.0/subscriptions/features/assignments/delete"
payload = { "FeatureAssignmentId": "FAID-00000001-0000-0000-0000-000000000001" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({FeatureAssignmentId: 'FAID-00000001-0000-0000-0000-000000000001'})
};
fetch('https://api.telegent.com/v1.0/subscriptions/features/assignments/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"FeatureAssignmentId": "FAID-00000001-0000-0000-0000-000000000001",
"FeatureAssignmentStatus": "Deleted"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Subscriptions
Delete Feature Assignment
Remove a feature assignment by its FeatureAssignmentId. This unlinks the feature from the associated subscription; the feature itself is not deleted.
What this does: Returns a deletion confirmation. The subscription will no longer have access to the capability provided by this feature.
Next steps:
- Re-assign the feature —
POST /v1.0/subscriptions/features/assignments/add
POST
/
v1.0
/
subscriptions
/
features
/
assignments
/
delete
Delete Feature Assignment
Body
application/jsontext/jsonapplication/*+json
FeatureAssignment object
ID of the feature assignment to remove (FAID-).
Example:
"FAID-00000001-0000-0000-0000-000000000001"
Response
Feature assignment removed
The response is of type object.
⌘I